Unsubscribe from Webhook

Remove an existing webhook subscription. Deletes the webhook URL and trigger configuration to stop automatic notifications.

DELETE
/api/webhooks/zapier/unsubscribe

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication for Zapier API access

In: header

Query Parameters

org_id*string

Organization ID

user_id*string

User ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

hookId*number

ID of the webhook subscription to unsubscribe from

Response Body

application/json

application/json

application/json

curl -X DELETE "https://webhooks.sophiie.ai/api/webhooks/zapier/unsubscribe?org_id=org_1234&user_id=usr_1234" \  -H "Content-Type: application/json" \  -d '{    "hookId": 123  }'
{
  "success": true
}
{
  "success": false,
  "message": "invalid_token",
  "error": {
    "status": 401,
    "message": "invalid_token"
  }
}
{
  "success": false,
  "message": "Oops! Something went wrong",
  "error": {
    "status": 500,
    "message": "Oops! Something went wrong"
  }
}